
%define debug_package %{nil}
Name:    tezos-accuser-PtLimaPt
Version: 16.1
Release: 1
Epoch: 1
Summary: Daemon for accusing
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-accuser-PtLimaPt-16.1.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v16.1/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , udev
%description
Daemon for accusing
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-accuser-PtLimaPt
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-accuser-PtLimaPt %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-accuser-PtLimaPt %{buildroot}/%{_bindir}/tezos-accuser-PtLimaPt



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-ptlimapt.service %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-ptlimapt@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-accuser-ptlimapt.default %{buildroot}/%{_sysconfdir}/default/tezos-accuser-ptlimapt

install -m 0755 tezos-accuser-ptlimapt-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-accuser-PtLimaPt
%{_bindir}/tezos-accuser-PtLimaPt

%{_bindir}/tezos-accuser-ptlimapt-start

%{_unitdir}/tezos-accuser-ptlimapt.service
%{_unitdir}/tezos-accuser-ptlimapt@.service

%{_sysconfdir}/default/tezos-accuser-ptlimapt



%post
%systemd_post tezos-accuser-ptlimapt.service
%systemd_post tezos-accuser-ptlimapt@.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-accuser-ptlimapt.service
%systemd_preun tezos-accuser-ptlimapt@.service


%postun
%systemd_postun_with_restart tezos-accuser-ptlimapt.service
%systemd_postun_with_restart tezos-accuser-ptlimapt@.service



